# H248_RequestedActions Class Reference

`#include <h248.h>`

Inheritance diagram for H248_RequestedActions:

List of all members.

## Public Types

enum | OptionalFields { e_keepActive, e_eventDM, e_secondEvent, e_signalsDescriptor }

## Public Member Functions

| H248_RequestedActions (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_keepActive
H248_EventDM | m_eventDM
H248_SecondEventsDescriptor | m_secondEvent
H248_SignalsDescriptor | m_signalsDescriptor

## Member Enumeration Documentation

enum H248_RequestedActions::OptionalFields

Enumerator:

  e_keepActive |
  e_eventDM |
  e_secondEvent |
  e_signalsDescriptor |

## Constructor & Destructor Documentation

H248_RequestedActions::H248_RequestedActions | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_RequestedActions::GetDataLength | ( |  | ) | const

PBoolean H248_RequestedActions::Decode | ( | PASN_Stream & | strm | ) |

void H248_RequestedActions::Encode | ( | PASN_Stream & | strm | ) | const

void H248_RequestedActions::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_RequestedActions::Compare | ( | const PObject & | obj | ) | const

PObject* H248_RequestedActions::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H248_RequestedActions::m_keepActive

H248_EventDM H248_RequestedActions::m_eventDM

H248_SecondEventsDescriptor H248_RequestedActions::m_secondEvent

H248_SignalsDescriptor H248_RequestedActions::m_signalsDescriptor

The documentation for this class was generated from the following file:

- h248.h